<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<%@ page import="java.net.*" %>
<%@ page import="org.ietf.jgss.*" %>
<%@ page import="net.sourceforge.spnego.*" %>
<html>
<head>
    <title>Hello Delegate Example</title>
</head>
<body>
<%
    if (request instanceof DelegateServletRequest) {
        DelegateServletRequest dsr = (DelegateServletRequest) request;
        GSSCredential creds = dsr.getDelegatedCredential();

        if (null == creds) {
            out.print("No delegated creds.");
        } else {
            out.print(creds.getName().toString()); 

            SpnegoHttpURLConnection spnego = 
                new SpnegoHttpURLConnection(creds);

            spnego.connect(new URL("http://perseus.athena.local:8080/hello_spnego.jsp"));

            out.print("<br />HTTP Status Code: " + spnego.getResponseCode());
            out.print("<br />HTTP Status Message: " + spnego.getResponseMessage());
            spnego.disconnect();
        }
    
    } else {
        out.print("Request not a delegate.");
    }
%>
</body>
</html>